#### D.12.2.24 isOnCurve

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  isOnCurve(N,a,b,P);

Return:
  1 or 0 (depending on whether P is on the curve or not)

Note:
  checks whether P=(P[1]:P[2]:P[3]) is a point on the elliptic curve defined by y^2z=x^3+a*xz^2+b*z^3 over Z/N

Example:

    LIB "crypto.lib";
    isOnCurve(32003,5,7,list(10,16,1));
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.